jQuery.notifyBar = function(settings) {
	
	(function($) {
		
		var bar = notifyBarNS = {};
		notifyBarNS.shown = false;
		 
		if( !settings) {
		settings = {};
		}
		// HTML inside bar
		notifyBarNS.html = settings.html || "Your message here";
		 
		//How long bar will be delayed, doesn't count animation time.
		notifyBarNS.delay = settings.delay || 2000;
		 
		//How long notifyBarNS bar will be slided up and down
		notifyBarNS.animationSpeed = settings.animationSpeed || 200;
		 
		//Use own jquery object usually DIV, or use default
		notifyBarNS.jqObject = settings.jqObject;
		 
		//Set up own class
		notifyBarNS.cls = settings.cls || "";
		
		//close button
		notifyBarNS.close = settings.close || false;
		
		if( notifyBarNS.jqObject) {
			bar = notifyBarNS.jqObject;
			notifyBarNS.html = bar.html();
		} else {
			bar = $("<div></div>")
			.addClass("jquery-notify-bar")
			.addClass(notifyBarNS.cls)
			.attr("id", "__notifyBar");
		}
				 
		bar.html(notifyBarNS.html).hide();
		var id = bar.attr("id");
		switch (notifyBarNS.animationSpeed) {
			case "slow":
			asTime = 600;
			break;
			case "normal":
			asTime = 400;
			break;
			case "fast":
			asTime = 200;
			break;
			default:
			asTime = notifyBarNS.animationSpeed;
		}
		if( bar != 'object'); {
			$("body").prepend(bar);
		}
		
		// Style close button in CSS file
		if( notifyBarNS.close) {
			bar.append($("<a href='#' class='notify-bar-close'><img style='border:none' src='/sne/images/b_close_m.png'></a>"));
			$(".notify-bar-close").click(function() {
				if( bar.attr("id") == "__notifyBar") {
					$("#" + id).slideUp(asTime, function(){ $("#" + id).remove() });
				} else {
					$("#" + id).slideUp(asTime);
				}
				return false;
			});
		}
		
		bar.slideDown(asTime,function(){
			$("#filter_level").val(sprintf("%3.1f",Number(filter_level)));
			$("#min_level").val(sprintf("%3.1f",Number(min_level)));
			$("#min_mag").val(sprintf("%3.1f",Number(min_mag)));
			$("#big_level").val(sprintf("%3.1f",Number(big_level)));
			if($("#s_width").length) $("#s_width").val(sprintf("%3d",Number(s_width)));
			if($("#s_height").length) $("#s_height").val(sprintf("%3d",Number(s_height)));

			if($("#m_width").length) $("#m_width").val(sprintf("%3d",Number(m_width)));
			if($("#m_height").length) $("#m_height").val(sprintf("%3d",Number(m_height)));

			if($("#m_max").length){
				if(m_max == 0){
					$("#m_max").attr("checked","");
				} else {
					$("#m_max").attr("checked","checked");
					$("#m_width").attr("disabled","disabled");
					$("#m_height").attr("disabled","disabled");
				}
				$("#m_max").bind("click",function(){
					if($(this).attr("checked") == true){
						$("#m_width").attr("disabled","disabled");
						$("#m_height").attr("disabled","disabled");
					} else {
						$("#m_width").attr("disabled","");
						$("#m_height").attr("disabled","");
					}
				});
			}
			if(netradio == 1){
				$("#netradio").attr("checked","checked");
			} else {
				$("#netradio").attr("checked","");
			}
			if(no_net_err == 1){
				$("#no_net_err").attr("checked","checked");
			} else {
				$("#no_net_err").attr("checked","");
			}
		});
		// If taken from DOM dot not remove just hide
/*
		if( bar.attr("id") == "__notifyBar") {
			setTimeout("$('#" + id + "').slideUp(" + asTime +", function(){$('#" + id + "').remove();});", notifyBarNS.delay + asTime);
		} else {
			setTimeout("$('#" + id + "').slideUp(" + asTime +", function(){$('#" + id + "');});", notifyBarNS.delay + asTime);
		}
*/

})(jQuery) };