<?php
// SNE Ver1.28.3 ～ 1.29.05α用ログ読み込み
// ログから地震ID：$eIdのデータを取り出しjavascriptの変数定義部として保存
$fp = fopen($filename,"w");
$j = 0;
fputs($fp,"var t_rDate = new Array();\n");
fputs($fp,"var t_ver = new Array();\n");
fputs($fp,"var t_etime = new Array();\n");
fputs($fp,"var t_eLat = new Array();\n");
fputs($fp,"var t_eLng = new Array();\n");
fputs($fp,"var t_mag = new Array();\n");
fputs($fp,"var t_depth = new Array();\n");
fputs($fp,"var t_level = new Array();\n");
fputs($fp,"var t_stime = new Array();\n");
fputs($fp,"var t_last = new Array();\n");
fputs($fp,"var t_cancel = new Array();\n");
fputs($fp,"var t_accu = new Array();\n");
fputs($fp,"var t_areas = new Array();\n");

$p_num1 = array();
$p_num2 = array();
$p_num3 = array();
for($i=0;$i<count($line);$i++){
	$receive_dbl = false;
//	if(mb_ereg("地震情報",$line[$i])  && mb_ereg($eId,$line[$i])){
	if(mb_ereg("データ受信",$line[$i])  && mb_ereg($eId,$line[$i])){
		$content = mb_split(" : データ受信",$line[$i]);
		$str_data = trim($content[1]);
//		fputs($fp,"// str_data = " . $str_data . "\n");
		if($i + 1 < count($line) - 1){
			if(mb_ereg("データ受信",$line[$i+1])  && mb_ereg($eId,$line[$i+1])){
//				$i++;
				$content = mb_split(" : データ受信",$line[$i+1]);
				$str_data = trim($content[1]);
				$str_target = $line[$i+2];
				$receive_dbl = true;
			} else if(mb_ereg("地震表示",$line[$i+1])){
				$str_target = $line[$i+2];
			} else {
				$str_target = $line[$i+1];
			}
		} else {
			$str_target = "";
		}
//		fputs($fp,"// strtarget = " . $str_target . "\n");

		if(mb_ereg("///////////////////",$line[$i])){
//		if(!mb_ereg("地震情報",$str_target)){
			$item = mb_split(",",$line[$i]);
//			fputs($fp,"// " . $item[0] . "\n");
			$content = mb_split(" : データ受信",$item[0]);
//			fputs($fp,"// " . $content[0] . "\n");
			fputs($fp,"t_rDate[$j] = " . strtotime($content[0]) . ";\n");
//			if(mb_ereg("///////////////////",$line[$i])){
				fputs($fp,"t_last[$j] = 1;\n");
				fputs($fp,"t_cancel[$j] = 1;\n");
				break;
//			}
		} else {
			$item = mb_split(",",$str_target);
			if(mb_ereg("（震源の深さが150km以上）",$str_target)){
				$str_target = mb_ereg_replace("（震源の深さが150km以上）", ",",$str_target);
			}
			$item = mb_split(",",$str_target);

			$content = mb_split(" : 地震情報",$item[0]);
			fputs($fp,"t_rDate[$j] = " . strtotime($content[0]) . ";\n");

			fputs($fp,"t_cancel[$j] = 0;\n");

			for($k=0;$k<count($item);$k++){
				$content = mb_split("=",$item[$k]);
				switch($content[0]){
					case "地震ID":
						$num = strpos($content[1],"(");
						$ver = substr($content[1], $num + 1, strlen($content[1]) - $num - 2);
						fputs($fp,"t_ver[$j] = " . $ver . ";\n");
						break;

					case "地震発生時刻":
						$etime = strtotime($content[1]);
						fputs($fp,"t_etime[$j] = " . strtotime($content[1]) . ";\n");
						break;

					case "震源地緯度/経度":
						$arrT = explode("/",$content[1]);
						fputs($fp,"t_eLat[$j] = " . $arrT[0] . ";\n");
						fputs($fp,"t_eLng[$j] = " . $arrT[1] . ";\n");
						break;

					case "観測地緯度/経度":
						if($j == 0){
							fputs($fp,"var homePos = new google.maps.LatLng(" . str_replace("/",", ",$content[1]) . ");\n");
						}
						break;

					case "マグニチュード":
						$mag = $content[1];
						if(strlen($mag . "") == 1) $mag .= ".0";
						fputs($fp,"t_mag[$j] = " . $mag . ";\n");
						break;

					case "震源の深さ":
						$depth = str_replace(".0","",$content[1]);
						fputs($fp,"t_depth[$j] = " . $depth . ";\n");
						break;

					case "震度":
						$level = round($content[1],1);
						if(strlen($level . "") == 1) $level .= ".0";
						fputs($fp,"t_level[$j] = " . $level . ";\n");
						break;

					case "S波到達秒数":
						fputs($fp,"t_stime[$j] = " . trim($content[1]) . ";\n");
						break;

					case "震央の確からしさフラグ":
						$p_num1[$j] = $content[1];
						break;

					case "震源の深さの確からしさフラグ":
						$p_num2[$j] = $content[1];
						break;

					case "マグニチュードの確からしさフラグ":
						$p_num3[$j] = $content[1];
						break;
				}
			}
			if(@isset($p_num1[$j])){
				$accu = pow(2,min($p_num1[$j],6)) + pow(2,min($p_num2[$j],6)) + pow(2,min($p_num3[$j],6));
				fputs($fp,"t_accu[$j] = '" . $accu . "/192';\n");
			} else {
				$p_num1[$j] = substr($str_data,65,1);
				$p_num2[$j] = substr($str_data,66,1);
				$p_num3[$j] = substr($str_data,67,1);
				$accu = pow(2,min($p_num1[$j],6)) + pow(2,min($p_num2[$j],6)) + pow(2,min($p_num3[$j],6));
				fputs($fp,"t_accu[$j] = '" . $accu . "/192';\n");
//				fputs($fp,"// " . $p_num1[$j] . $p_num2[$j] . $p_num3[$j] . "\n");
			}
			if(strlen($str_data) >= 70){
				if(isset($areas)){
					unset($areas);
				}
				$areas = array();
				for ($k=70; $k<strlen($str_data); $k += 3) {
					$areas[] = substr($str_data,$k,3);
				}
				fputs($fp,"t_areas[$j] = \"" . join(",",$areas) . "\";\n");
			} else {
				fputs($fp,"t_areas[$j] = \"\";\n");
			}
			$check = explode($eId,$str_data);
			if(substr($check[1],0,1) == "9"){
				fputs($fp,"t_last[$j] = 1;\n");
				break;
			} else {
				fputs($fp,"t_last[$j] = 0;\n");
			}
			$j++;
		}
		if($receive_dbl){
			$i++;
		}
	}
}
fclose($fp);
?>
